Summary:	Mini-XML: Lightweight XML support library
Summary(pl.UTF-8):	Mini-XML - lekka biblioteka obsługująca XML
Name:		mxml
Version:	2.9
Release:	1
License:	LGPL v2 with exceptions
Group:		Libraries
Source0:	http://www.msweet.org/files/project3/%{name}-%{version}.tar.gz
# Source0-md5:	e21cad0f7aacd18f942aa0568a8dee19
Patch0:		%{name}-lpthread.patch
URL:		http://www.minixml.org/
BuildRequires:	autoconf
BuildRequires:	sed >= 4.0
# Conflicts due SONAME
Conflicts:	libmxml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mini-XML is a small XML library that you can use to read and write XML
and XML-like data files in your application without requiring large
non-standard libraries.

Mini-XML supports reading of UTF-8 and UTF-16 and writing of UTF-8
encoded XML files and strings. Data is stored in a linked-list tree
structure, preserving the XML data hierarchy, and arbitrary element
names, attributes, and attribute values are supported with no preset
limits, just available memory.

%description -l pl.UTF-8
Mini-XML to mała biblioteka XML, której można używać do odczytu i
zapisu plików w formacie XML i zbliżonym do XML w aplikacjach nie
wymagających dużych, niestandardowych bibliotek.

Mini-XML obsługuje odczyt plików i łańcuchów XML zakodowanych w UTF-8
i UTF-16 oraz zapisu w UTF-8. Dane są przechowywane w listowej
strukturze drzewiastej, z zachowaniem hierarchii danych XML;
obsługiwane są dowolne nazwy, atrybuty i wartości atrybutów elementów
bez narzuconych limitów poza dostępną pamięcią.

%package devel
Summary:	Header files for mxml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mxml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	libmxml-devel

%description devel
Header files for mxml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mxml.

%package static
Summary:	Static mxml library
Summary(pl.UTF-8):	Statyczna biblioteka mxml
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	libmxml-static

%description static
Static mxml library.

%description static -l pl.UTF-8
Statyczna biblioteka mxml.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '/^\.SILENT/d' Makefile.in

%build
%{__autoconf}
%configure \
	--enable-shared
%{__make} \
	OPTIM="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BUILDROOT=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mxml

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains exceptions to LGPL
%doc CHANGES COPYING README
%attr(755,root,root) %{_bindir}/mxmldoc
%attr(755,root,root) %{_libdir}/libmxml.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmxml.so.1
%{_mandir}/man1/mxmldoc.1*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libmxml.so
%{_pkgconfigdir}/mxml.pc
%{_includedir}/mxml.h
%{_mandir}/man3/mxml.3*

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmxml.a
%changelog
* Tue Oct 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mxml.git;a=log;h=master

* Tue Oct 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 71db7d1
- updated to 2.9

* Sat Apr 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 559b3ec
- new Source0 URL, updated to 2.8
- updated lpthread patch
- real pl description, cleanups

* Mon Apr 04 2011 Jacek Konieczny <jajcus@pld-linux.org> a8fc537
- link the library with libpthread
- Release: 3

* Tue Dec 29 2009 Elan Ruusamäe <glen@pld-linux.org> 8ff4d94
- update url, enhanced descs
- fix manual page messup with -devel and main package; rel 2

* Tue Dec 29 2009 Elan Ruusamäe <glen@pld-linux.org> 84f9629
- add ldconfig; rel 1

* Tue Dec 29 2009 Elan Ruusamäe <glen@pld-linux.org> 32e931c
- build shared

* Tue Dec 29 2009 Elan Ruusamäe <glen@pld-linux.org> 5e32992
- up to 2.6

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f9fb93b
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7c94c22
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9c171ea
- converted to UTF-8

* Tue May 03 2005 freetz <freetz@pld-linux.org> bfc65f0
- 2.2, download url updated

* Wed Nov 24 2004 freetz <freetz@pld-linux.org> 45848e0
- 2.1

* Thu Oct 07 2004 Jakub Bogusz <qboosh@pld-linux.org> ab0d399
- no sense in separate -devel if no shared lib

* Thu Sep 30 2004 ankry <ankry@pld-linux.org> 6a4d8c6
- restored changelog

* Thu Sep 30 2004 freetz <freetz@pld-linux.org> c453e40
- uh, adapterized

* Thu Sep 30 2004 freetz <freetz@pld-linux.org> 94130cd
- C: with libmxml

* Thu Sep 30 2004 freetz <freetz@pld-linux.org> 98b9e2c
- new one

